cURL
curl --request GET \
--url https://api.relay.link/intents/statusconst options = {method: 'GET'};
fetch('https://api.relay.link/intents/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.relay.link/intents/status"
response = requests.get(url)
print(response.text){
"status": "success",
"inTxHashes": [
"0xe53021eaa63d100b08338197d26953e2219bcbad828267dd936c549ff643aad7"
],
"txHashes": [
"0x9da7bc54dfe6229d6980fd62250d472f23dfe0f41a1cdc870c81a08b3445f254"
],
"time": 1713290386145,
"originChainId": 7777777,
"destinationChainId": 8453
}Deprecated
Get Execution Status
This API returns current status of intent.
GET
/
intents
/
status
cURL
curl --request GET \
--url https://api.relay.link/intents/statusconst options = {method: 'GET'};
fetch('https://api.relay.link/intents/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.relay.link/intents/status"
response = requests.get(url)
print(response.text){
"status": "success",
"inTxHashes": [
"0xe53021eaa63d100b08338197d26953e2219bcbad828267dd936c549ff643aad7"
],
"txHashes": [
"0x9da7bc54dfe6229d6980fd62250d472f23dfe0f41a1cdc870c81a08b3445f254"
],
"time": 1713290386145,
"originChainId": 7777777,
"destinationChainId": 8453
}Please use Get Execution Status v2 as this is deprecated
Query Parameters
Response
200 - application/json
Default Response
Was this page helpful?